import CompatibilityCheck from "../domain/CompatibilityCheck";
import StateForPopup from "../domain/StateForPopup";

export default interface Interface4Popup {
    toggleDetachPopup(): Promise<void>;

    getStateForPopup() : StateForPopup;

    makeCompatibilityCheck(): Promise<CompatibilityCheck>;

    connect(sessionId: string, modelId: string): Promise<void>;

    disconnect(): Promise<void>;

    reloadWebsite() : Promise<void>;

    drawAttention(): Promise<void>;

    startExploration() : Promise<void>;

    stopExploration() : Promise<void>;

    restartExploration() : Promise<void>;

    removeExploration() : Promise<void>;

    changeTesterName(newName : string) : void;

    setIsTabScriptDisplayingUserView(isTabScriptDisplayingComment : boolean) : void;

    addCommentToExploration(kind : string , message : string): void;

    takeScreenShot(): Promise<void>;

    setRecordMedia(recordMedia: boolean) : Promise<void>;

    setShouldCreateNewWindowsOnConnect(shouldCreateNewWindowsOnConnect: boolean): void;

    setShouldCloseWindowOnDisconnect(shouldCloseWindowOnDisconnect: boolean): void;
}